Magick++: Magick::VPathBase Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::VPathBase Class Referenceabstract

`#include <Drawable.h>`

Inheritance diagram for Magick::VPathBase:
[legend]

## Public Member Functions
| VPathBase (void)
virtual | ~VPathBase (void)
virtual void | operator() (MagickCore::DrawingWand *context_) const =0
virtual VPathBase * | copy () const =0

## Detailed Description

Definition at line 157 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ VPathBase()

Magick::VPathBase::VPathBase | ( | void |  | ) |
| inline

Definition at line 161 of file Drawable.h.

## ◆ ~VPathBase()

Magick::VPathBase::~VPathBase | ( | void |  | ) |
| virtual

Definition at line 125 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

virtual VPathBase* Magick::VPathBase::copy | ( |  | ) | const
| pure virtual

Implemented in Magick::PathMovetoRel, Magick::PathMovetoAbs, Magick::PathLinetoVerticalRel, Magick::PathLinetoVerticalAbs, Magick::PathLinetoHorizontalRel, Magick::PathLinetoHorizontalAbs, Magick::PathLinetoRel, Magick::PathLinetoAbs, Magick::PathSmoothQuadraticCurvetoRel, Magick::PathSmoothQuadraticCurvetoAbs, Magick::PathQuadraticCurvetoRel, Magick::PathQuadraticCurvetoAbs, Magick::PathSmoothCurvetoRel, Magick::PathSmoothCurvetoAbs, Magick::PathCurvetoRel, Magick::PathCurvetoAbs, Magick::PathClosePath, Magick::PathArcRel, and Magick::PathArcAbs.

Referenced by Magick::VPath::operator=().

## ◆ operator()()

virtual void Magick::VPathBase::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| pure virtual

Implemented in Magick::PathMovetoRel, Magick::PathMovetoAbs, Magick::PathLinetoVerticalRel, Magick::PathLinetoVerticalAbs, Magick::PathLinetoHorizontalRel, Magick::PathLinetoHorizontalAbs, Magick::PathLinetoRel, Magick::PathLinetoAbs, Magick::PathSmoothQuadraticCurvetoRel, Magick::PathSmoothQuadraticCurvetoAbs, Magick::PathQuadraticCurvetoRel, Magick::PathQuadraticCurvetoAbs, Magick::PathSmoothCurvetoRel, Magick::PathSmoothCurvetoAbs, Magick::PathCurvetoRel, Magick::PathCurvetoAbs, Magick::PathClosePath, Magick::PathArcRel, and Magick::PathArcAbs.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp